/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreGroup;

import org.jooq.JSON;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreGroupRecord extends TableRecordImpl<VCoreGroupRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_group.pk</code>.
     */
    public void setPk(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_group.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_group.name</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_group.name</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_group.users</code>.
     */
    public void setUsers(JSON value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_group.users</code>.
     */
    public JSON getUsers() {
        return (JSON) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreGroupRecord
     */
    public VCoreGroupRecord() {
        super(VCoreGroup.V_CORE_GROUP);
    }

    /**
     * Create a detached, initialised VCoreGroupRecord
     */
    public VCoreGroupRecord(Integer pk, String name, JSON users) {
        super(VCoreGroup.V_CORE_GROUP);

        setPk(pk);
        setName(name);
        setUsers(users);
        resetChangedOnNotNull();
    }
}
